%global enable_tests 1
%global srcname change-case

Name:           nodejs-%{srcname}
Version:        2.3.0
Release:        6%{?dist}
Summary:        Convert a string between camelCase, PascalCase, Title Case, snake_case and more
License:        MIT
URL:            https://github.com/blakeembrey/change-case
Source0:        https://github.com/blakeembrey/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(camel-case)
BuildRequires:  npm(constant-case)
BuildRequires:  npm(dot-case)
BuildRequires:  npm(is-lower-case)
BuildRequires:  npm(is-upper-case)
BuildRequires:  npm(istanbul)
BuildRequires:  npm(lower-case-first)
BuildRequires:  npm(mocha)
BuildRequires:  npm(param-case)
BuildRequires:  npm(pascal-case)
BuildRequires:  npm(path-case)
BuildRequires:  npm(swap-case)
BuildRequires:  npm(title-case)
%endif


%description
Convert strings between camelCase, PascalCase, Title Case, snake_case, 
lowercase, UPPERCASE, CONSTANT_CASE and more.


%prep
%setup -q -n %{srcname}-%{version}
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json change-case.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
istanbul-js cover mocha -- -R spec
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 24 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.3.0-1
- update to 2.3.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb  9 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.2.0-1
- update to 2.2.0

* Sun Nov 16 2014 Piotr Popieluch <piotr1212@gmail.com> - 2.1.5-1
- Initial package
